function spawner2pipepictures()
  return
  {
    north =
    {
      filename = "__SEDI__/graphics/entity/rf-pipe-to-ground/pipe-to-ground-up.png",
      priority = "extra-high",
      width = 41,
      height = 40,
      shift = {0, 1}
    },
    east =
    {
      filename = "__SEDI__/graphics/entity/rf-pipe-to-ground/pipe-to-ground-right.png",
      priority = "extra-high",
      width = 41,
      height = 40,
      shift = {-0.8, 0}
    },
    south =
    {
      filename = "__SEDI__/graphics/entity/rf-pipe-to-ground/pipe-to-ground-down.png",
      priority = "extra-high",
      width = 41,
      height = 40,
      shift = {0, -0.8}
    },
    west =
    {
      filename = "__SEDI__/graphics/entity/rf-pipe-to-ground/pipe-to-ground-left.png",
      priority = "extra-high",
      width = 41,
      height = 40,
      shift = {1, 0}
    }
  }
end

data:extend({ 

  {
    type = "assembling-machine",
    name = "acid-plant",
    icon = "__base__/graphics/icons/biter-spawner.png",
    flags = {"placeable-neutral","placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "acid-plant"},
    subgroup = "production-machine",
    order = "h[acid-plant]",
    max_health = 350,
    resistances =
    {
      {
        type = "physical",
        decrease = 2,
      },
      {
        type = "explosion",
        decrease = 5,
        percent = 15,
      }
    },
    healing_per_tick = 0.02,
    collision_box = {{-2.5, -2.5}, {2.5, 2.5}},
    selection_box = {{-3, -3}, {3, 3}},
    pollution_cooldown = 5,
    corpse = "spitter-spawner-corpse",
    dying_explosion = "blood-explosion-huge",
	
animation =
    {	
      east =
      {
        filename = "__SEDI__/graphics/entity/spawner/spawner-idle.png",
        line_length = 8,
        width = 243,
        height = 181,
        frame_count = 8,
        animation_speed = 0.25,
        axially_symmetrical = false,
        direction_count = 1,
        run_mode = "forward-then-backward",
		scale = 6/9,
		},
      south =
      {
        filename = "__SEDI__/graphics/entity/spawner/spawner-idle.png",
        line_length = 8,
        width = 243,
        height = 181,
        frame_count = 8,
        animation_speed = 0.25,
        axially_symmetrical = false,
        direction_count = 1,
        run_mode = "forward-then-backward",
		scale = 6/9,
		y = 181
      },
      west =
      {
        filename = "__SEDI__/graphics/entity/spawner/spawner-idle.png",
        line_length = 8,
        width = 243,
        height = 181,
        frame_count = 8,
        animation_speed = 0.25,
        axially_symmetrical = false,
        direction_count = 1,
        run_mode = "forward-then-backward",
		scale = 6/9,
        shift = {0.3, 0},		
		y = 362
      },
      north =
      {
        filename = "__SEDI__/graphics/entity/spawner/spawner-idle.png",
        line_length = 8,
        width = 243,
        height = 181,
        frame_count = 8,
        animation_speed = 0.25,
        axially_symmetrical = false,
        direction_count = 1,
        run_mode = "forward-then-backward",
		scale = 6/9,
		y = 534
      }	
	},
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/chemical-plant.ogg",
          volume = 0.8
        }
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.5,
    },
    crafting_speed = 1.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.03 / 3.5
    },
    energy_usage = "210kW",
    ingredient_count = 4,
    crafting_categories = {"acid-plant"},
    fluid_boxes =
    {
      {
        production_type = "input",
		pipe_picture = spawner2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {2, -3} }}
      },
	  {
        production_type = "input",
		pipe_picture = spawner2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-2, -3} }}
      },
	  
      {
        production_type = "output",
		pipe_picture = spawner2pipepictures(),
        pipe_covers = pipecoverspictures(),
		base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 3} }}
      },
    },
    pipe_covers = pipecoverspictures()
	
},
  
  })