data:extend({ 

---raw-resource

  {
    type = "recipe",
    name = "quartz",
    enabled = "true",
    ingredients =
    {
      {"stone", 4},
    },
    results = 
	{
      {type="item", name="quartz", amount=10}
    },
  },

---raw-material

  {
    type = "recipe",
    name = "quartz-smelting",
    category = "smelting",
    enabled = "true",
    energy_required = 5,
    ingredients =
    {
      {type="item", name="quartz", amount=6}
    },
    results=
    {
      {type="item", name="silicon-rod", amount=2}
    },
  },

---fluids

  {
    type = "recipe",
    name = "separation_fluid",
    category = "chemistry",
    energy_required = 5,
    enabled = "false",
    ingredients =
    {
	  {type="item", name="sulfur", amount=3},
      {type="fluid", name="light-oil", amount=5},
      {type="fluid", name="water", amount=5}
    },
    results=
    {
      {type="fluid", name="separation_fluid", amount=15}
    }
  }, 

  {
    type = "recipe",
    name = "extraction_fluid",
    category = "chemistry",
    energy_required = 7,
    enabled = "false",
    ingredients =
    {
	  {type="item", name="organic_samples", amount=5},
      {type="item", name="raw-wood", amount=5},
      {type="fluid", name="water", amount=10}
    },
    results=
    {
      {type="fluid", name="extraction_fluid", amount=10}
    }
  },     
 
  {
    type = "recipe",
    name = "alien_extraction_fluid",
    category = "acid-plant",
    energy_required = 4,
    enabled = "false",
    ingredients =
    {
      {type="fluid", name="crude-oil", amount=1},
      {type="fluid", name="water", amount=10}
    },
    results=
    {
      {type="fluid", name="extraction_fluid", amount=20}
    }
  }, 

  {
    type = "recipe",
    name = "iron_sludge",
    category = "chemistry",
    energy_required = 5,
    enabled = "false",
    ingredients =
    {
      {type="item", name="iron-ore", amount=5},
      {type="fluid", name="extraction_fluid", amount=2}
    },
    results=
    {
      {type="fluid", name="iron_sludge", amount=5}
    }
  }, 
  
  {
    type = "recipe",
    name = "copper_sludge",
    category = "chemistry",
    energy_required = 5,
    enabled = "false",
    ingredients =
    {
      {type="item", name="copper-ore", amount=5},
      {type="fluid", name="extraction_fluid", amount=2}
    },
    results=
    {
      {type="fluid", name="copper_sludge", amount=5}
    }
  },
  
---ore-processing

  {
    type = "recipe",
    name = "separate_iron_compound",
    category = "chemistry",
    energy_required = 5,
    enabled = "false",
    ingredients =
    {
      {type="fluid", name="iron_sludge", amount=5},
	  {type="fluid", name="separation_fluid", amount=2},
    },
    results=
    {
      {type="item", name="reprocessed-iron-compound", amount=1}
    },
	subgroup = "ore-processing",
	order = "aa[extract_iron_compound]",
  },
  
  {
    type = "recipe",
    name = "separate_copper_compound",
    category = "chemistry",
    energy_required = 5,
    enabled = "false",
    ingredients =
    {
      {type="fluid", name="copper_sludge", amount=5},
	  {type="fluid", name="separation_fluid", amount=2},
    },
    results=
    {
      {type="item", name="reprocessed-copper-compound", amount=1},
    },
	subgroup = "ore-processing",
	order = "ab[extract_copper_compound]",
  }, 
  
  {
    type = "recipe",
    name = "separate_titanium",
    category = "chemistry",
    energy_required = 5,
    enabled = "false",
    ingredients =
    {
      {type="fluid", name="iron_sludge", amount=5},
	  {type="fluid", name="separation_fluid", amount=1},
    },
    results=
    {
      {type="item", name="titanium-rod", amount=5}
    },
	subgroup = "raw-resource",
	order = "d[extract_titanium]"
  }, 
  
  {
    type = "recipe",
    name = "separate_gold",
    category = "chemistry",
    energy_required = 5,
    enabled = "false",
    ingredients =
    {
      {type="fluid", name="copper_sludge", amount=5},
	  {type="fluid", name="separation_fluid", amount=1},
    },
    results=
    {
      {type="item", name="gold-nuggets", amount=5},
    },
	subgroup = "raw-resource",
	order = "e[extract_gold]"
  },
---blast-furnace-recipes

  {
    type = "recipe",
    name = "reprocessed-iron-compound",
    enabled = "false",
    ingredients =
    {
      {"iron-ore", 5},
      {"coal", 5},
      {"stone", 2}
    },
    result = "reprocessed-iron-compound",
	subgroup = "raw-resource",
	order = "b[reprocessed-iron-compound]"
  },
  
{
    type = "recipe",
    name = "iron-compound-processing",
    category = "stone-blast-furnace",
    enabled = "false",
    energy_required = 20,
    ingredients =
    {
      {type="item", name="reprocessed-iron-compound", amount=1}
    },
    results=
    {
      {type="item", name="iron-plate", amount=5},
      {type="item", name="titanium-plate", amount=1},
      {type="item", name="silicon-rod", amount=2}
    },
    icon = "__SEDI__/graphics/icons/iron-compound-processing.png",
    subgroup = "ore-processing",
	order = "ba[iron-compound-processing]",
  },
  
{
    type = "recipe",
    name = "advanced-iron-compound-processing",
    category = "electric-blast-furnace",
    enabled = "false",
    energy_required = 10,
    ingredients =
    {
      {type="item", name="reprocessed-iron-compound", amount=3}
    },
    results=
    {
      {type="item", name="iron-plate", amount=20},
      {type="item", name="titanium-plate", amount=2},
      {type="item", name="silicon-rod", amount=5}
    },
    icon = "__SEDI__/graphics/icons/advanced-iron-compound-processing.png",
    subgroup = "ore-processing",
	order = "ca[advanced-iron-compound-processing]",
  },

  {
    type = "recipe",
    name = "reprocessed-copper-compound",
    enabled = "false",
    ingredients =
    {
      {"copper-ore", 5},
      {"sulfur", 5},
      {"stone", 2}
    },
    result = "reprocessed-copper-compound",
	subgroup = "raw-resource",
	order = "c[reprocessed-copper-compound]"
  },
  
{
    type = "recipe",
    name = "copper-compound-processing",
    category = "stone-blast-furnace",
    enabled = "false",
    energy_required = 20,
    ingredients =
    {
      {type="item", name="reprocessed-copper-compound", amount=1}
    },
    results=
    {
      {type="item", name="copper-plate", amount=5},
      {type="item", name="gold-plate", amount=1},
      {type="item", name="sulfur", amount=1}
    },
    icon = "__SEDI__/graphics/icons/copper-compound-processing.png",
    subgroup = "ore-processing",
	order = "bb[copper-compound-processing]"
  },
  
{
    type = "recipe",
    name = "advanced-copper-compound-processing",
    category = "electric-blast-furnace",
    enabled = "false",
    energy_required = 10,
    ingredients =
    {
      {type="item", name="reprocessed-copper-compound", amount=3}
    },
    results=
    {
      {type="item", name="copper-plate", amount=20},
      {type="item", name="gold-plate", amount=2},
      {type="item", name="sulfur", amount=3}
    },
    icon = "__SEDI__/graphics/icons/advanced-copper-compound-processing.png",
    subgroup = "ore-processing",
	order = "cb[advanced-copper-compound-processing]",
  },

{
    type = "recipe",
    name = "titanium-plate",
    category = "smelting",
    enabled = "false",
    energy_required = 2.5,
    ingredients =
    {
      {type="item", name="titanium-rod", amount=5}
    },
    results=
    {
      {type="item", name="titanium-plate", amount=2},
    },
    icon = "__SEDI__/graphics/icons/titanium-plate.png",
  },
{
    type = "recipe",
    name = "gold-plate",
    category = "smelting",
    enabled = "false",
    energy_required = 2.5,
    ingredients =
    {
      {type="item", name="gold-nuggets", amount=5}
    },
    results=
    {
      {type="item", name="gold-plate", amount=2},
    },
    icon = "__SEDI__/graphics/icons/gold-plate.png",
  },  

---intermediate-product

  {
    type = "recipe",
    name = "empty-circuit-board",
    enabled = "true",
    energy_required = 2,
    ingredients =
    {
      {"silicon-rod", 2},
      {"iron-plate", 2},
    },
    results =
	{
      {"empty-circuit-board", 2},
    },
},

  {
    type = "recipe",
    name = "silicon-wafer",
    category = "crafting-with-fluid",
    enabled = "false",
	energy_required = 6,
    ingredients =
    {
      {"silicon-rod", 2},
      {"gold-plate", 1},
      {type="fluid", name="water", amount=2},
    },
    results=
    {
      {type="item", name="silicon-wafer", amount=4}
    },
  },  

  {
    type = "recipe",
    name = "gold-plated-copper-cable",
    enabled = "false",
    energy_required = 4,
    ingredients =
    {
      {type="item", name="gold-plate", amount=2},
      {type="item", name="copper-cable", amount=6},
    },
    results =
	{
      {"gold-plated-copper-cable", 10},
    },
  },

  {
    type = "recipe",
    name = "electric-motor",
    enabled = "false",
    energy_required = 10,
    ingredients =
    {
      {type="item", name="iron-plate", amount=2},
      {type="item", name="copper-cable", amount=3},
      {type="item", name="electronic-circuit", amount=2},
      {type="item", name="plastic-bar", amount=3},
    },
    results =
	{
      {"electric-motor", 2},
    },
},  

  {
    type = "recipe",
    name = "laser-lense",
    category = "crafting-with-fluid",
    enabled = "false",
	energy_required = 15,
    ingredients =
    {
      {"quartz", 2},
      {"iron-plate", 1},
      {type="fluid", name="water", amount=2},
    },
    results=
    {
      {type="item", name="laser-lense", amount=1}
    },

  }, 
  
---machines

   {
    type = "recipe",
    name = "electric-blast-furnace",
    enabled = "false",
    ingredients =
	{
      {"electric-furnace", 1},
      {"processing-unit", 2},
      {"titanium-plate", 10},
	  {"stone-brick", 10}
    },
    result = "electric-blast-furnace"
  },  
  
   {
    type = "recipe",
    name = "stone-blast-furnace",
	enabled = "false",
    ingredients =
	{
      {"stone-furnace", 1},
      {"iron-gear-wheel", 4},
      {"copper-plate", 4},
	  {"stone-brick", 5}
    },
    result = "stone-blast-furnace"
  },

  {
    type = "recipe",
    name = "acid-plant",
    energy_required = 50,
    enabled = "false",
    ingredients =
    {
    {type="item", name="rf-pipe", amount=8},
	{type="item", name="titanium-plate", amount=75},
	{type="item", name="alien-artifact", amount=500},
	{type="item", name="organic_samples", amount=500},
	{type="item", name="alien-spawner-egg", amount=1},
	{type="item", name="processing-unit", amount=25},	  
    },
    result= "acid-plant"
  },  
  
})